Skip to main content
GET
/
v1
/
ai
/
routines
List AI Routines
curl --request GET \
  --url https://{instance}.omniapp.co/api/v1/ai/routines \
  --header 'Authorization: Bearer <token>'
{
  "pageInfo": {
    "hasNextPage": true,
    "nextCursor": "<string>",
    "pageSize": 123,
    "totalRecords": 123
  },
  "records": [
    {
      "branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "<string>",
      "description": "<string>",
      "destination": {
        "type": "email",
        "recipientEmails": [
          "blob.ross@blobsrus.com",
          "blob.the.builder@blobsrus.com"
        ],
        "userGroupIds": [
          "550e8400-e29b-41d4-a716-446655440000"
        ]
      },
      "disabled": true,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "lastRun": {
        "completedAt": "<string>",
        "label": "Delivered",
        "state": "COMPLETE"
      },
      "modelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "prompt": "<string>",
      "recipientCount": 123,
      "schedule": "<string>",
      "systemDisabled": true,
      "systemDisabledReason": "<string>",
      "timezone": "<string>",
      "topicName": "<string>",
      "updatedAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Query Parameters

cursor
string

Cursor for pagination from previous response nextCursor

Example:

"eyJpZCI6IjEyMzQ1In0"

pageSize
integer
default:20

Number of results per page (1-100, integer)

Required range: 1 <= x <= 100
Example:

20

sortDirection
enum<string>
default:desc

Sort direction for results

Available options:
asc,
desc
Example:

"desc"

sortField
string

Field to sort results by

userId
string<uuid>

Requires an Organization API key. Target user membership ID.

Response

List of AI Routines

pageInfo
object
required

Pagination information for paginated responses.

records
object[]
required

Routines returned for this request, newest first.